EventDispatcher → BufferGeometry →

# TreesGeometry

A procedural trees geometry.

## Import

TreesGeometry is an addon, and must be imported explicitly, see Installation#Addons.

    import { TreesGeometry } from 'three/addons/misc/RollerCoaster.js';

## Constructor

### new TreesGeometry ( landscape : Mesh )

Constructs a new geometry.

landscape | A mesh representing the landscape. Trees will be positioned randomly on the landscape's surface.

## Source

examples/jsm/misc/RollerCoaster.js